package com.brilliance.isc.bo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.brilliance.isc.vo.collection.Docgrdm;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bttp extends AbstractCommonVo {

    //Panel Status  E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;

    //further handling
    private  String futhndflg = NULLSTR;

    //MT752: Further Indentification
    private  String furide = NULLSTR;

    //Create 752
    private  String cre752flg = NULLSTR;

    //Language of correspon. to BEN
    private  String bendocuil = NULLSTR;

    //setttle now
    private  String setnowflg = NULLSTR;

    private Docgrdm docgrdmbe1;

    private Docgrdm docgrdmbe2;

    private Ltdget ltdget;

    private Ledget ledget;

    private Btdget recget;

    @Override
    public void reset() {
        if (docgrdmbe1 == null) {
            docgrdmbe1 = new Docgrdm();
        }
        docgrdmbe1.reset();

        if (docgrdmbe2 == null) {
            docgrdmbe2 = new Docgrdm();
        }
        docgrdmbe2.reset();

        if (ltdget == null) {
            ltdget = new Ltdget();
        }
        ltdget.reset();

        if (ledget == null) {
            ledget = new Ledget();
        }
        ledget.reset();

        if (recget == null) {
            recget = new Btdget();
        }
        recget.reset();

    }

}
